Last Comment Bug 841948 - Flip the pref to enable <input type=range> on Nightly and Aurora
: Flip the pref to enable <input type=range> on Nightly and Aurora
Status: VERIFIED FIXED
: dev-doc-needed
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla22
Assigned To: Jonathan Watt [:jwatt] (back in October - email directly if necessary)
:
Mentors:
Depends on: 836314 838256 842179 843725 846380
Blocks: 344618 841950
  Show dependency treegraph
 
Reported: 2013-02-15 15:39 PST by Jonathan Watt [:jwatt] (back in October - email directly if necessary)
Modified: 2013-04-05 14:38 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
patch (931 bytes, patch)
2013-03-06 14:57 PST, Jonathan Watt [:jwatt] (back in October - email directly if necessary)
mounir: review+
Details | Diff | Splinter Review

Description Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2013-02-15 15:39:35 PST

    
Comment 1 Mounir Lamouri (:mounir) 2013-02-16 03:15:37 PST
I think we should enable <input type'range'> on Nightly and Aurora as soon as we have an element that has a working DOM and a working layout. No need for a bug-free implementation a native styling.

I think if we open a bug to implement the thumb moving in layout, this bug would depend on all bugs needed to fix it.
Comment 2 Mounir Lamouri (:mounir) 2013-02-17 11:31:43 PST
Jonathan, as far as I understand it, the only thing missing to be able to land this the able to move the thumb. Ideally, with the keyboard and the mouse.
Comment 3 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2013-03-06 14:57:53 PST
Created attachment 721912 [details] [diff] [review]
patch
Comment 4 Mounir Lamouri (:mounir) 2013-03-08 01:51:26 PST
Comment on attachment 721912 [details] [diff] [review]
patch

Review of attachment 721912 [details] [diff] [review]:
-----------------------------------------------------------------

w00t! :)
Comment 5 Mounir Lamouri (:mounir) 2013-03-11 18:14:06 PDT
Jonathan, is there a specific reason why you didn't land that patch?
Comment 6 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2013-03-12 11:27:27 PDT
Yes, I specifically want to fix bug 842179 before asking people whether the pseudo-elements meet their needs.
Comment 7 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2013-03-15 02:18:37 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/fc80b4d5c4ec

Assuming this sticks and there are no major issues, I'll blog about it to ask for people to test after it reaches latest Nightlies.
Comment 8 Phil Ringnalda (:philor) 2013-03-16 15:58:35 PDT
https://hg.mozilla.org/mozilla-central/rev/fc80b4d5c4ec
Comment 9 Mihaela Velimiroviciu (:mihaelav) 2013-04-04 05:16:06 PDT
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:22.0) Gecko/20130403 Firefox/22.0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:22.0) Gecko/20130403 Firefox/22.0
Mozilla/5.0 (X11; Linux i686; rv:22.0) Gecko/20130402 Firefox/22.0
BuildID: 20130402004013

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:23.0) Gecko/20130404 Firefox/23.0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:23.0) Gecko/20130403 Firefox/23.0
Mozilla/5.0 (X11; Linux i686; rv:23.0) Gecko/20130403 Firefox/23.0
BuildID: 20130403090950

I verified that the dom.experimental_forms_range pref is "true" in about:config and that the type="range" attribute works without triggering any errors in pages.
Hence marking bug as Verified.
Comment 10 Alex Keybl [:akeybl] 2013-04-05 11:59:57 PDT
This bug has been listed as part of the Aurora 22 release notes in either [1], [2], or both. If you find any of the information or wording incorrect in the notes, please email release-mgmt@mozilla.com asap. Thanks!

[1] https://www.mozilla.org/en-US/firefox/22.0a2/auroranotes/
[2] https://www.mozilla.org/en-US/mobile/22.0a2/auroranotes/
Comment 11 Jonathan Watt [:jwatt] (back in October - email directly if necessary) 2013-04-05 14:33:18 PDT
Sent this to release-mgmt@:

This bug will most likely not stay enabled for v22. Either the release notes should mention that, or the release notes probably shouldn't mention the feature at all.
Comment 12 Alex Keybl [:akeybl] 2013-04-05 14:38:17 PDT
(In reply to Jonathan Watt [:jwatt] from comment #11)
> Sent this to release-mgmt@:
> 
> This bug will most likely not stay enabled for v22. Either the release notes
> should mention that, or the release notes probably shouldn't mention the
> feature at all.

Thanks Jonathan - we'll wait to communicate this until it's going to be enabled by default for release users. Thanks!

Note You need to log in before you can comment on or make changes to this bug.